# -*- coding: UTF-8 -*-
import socket
import sys

"""
    family: 表示IP地址类型, 分为TPv4和IPv6。AF_INET表示ipv4
    type:表示传输协议。SOCK_STREAM表示TCP协议
    
    具体这些参数还有哪些可选择的值，请参考：https://docs.python.org/zh-cn/3/library/socket.html
"""
client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

if len(sys.argv) != 2:
    print("Usage: python destroy-client.py serverip\n")
    exit()

serverip = sys.argv[1]

client.connect((serverip,4321))

client.send("destory".encode("utf8"))

recv_data = client.recv(1024)

if "confirm" == recv_data.decode("utf8"):
    confirm = input("是否确认远程销毁,确认请输入 1 并按下回车\n")
    if confirm == 1:
        client.send("yes".encode("utf8"))
    else:
        client.send("no".encode("utf8"))

client.close()
